{% extends 'base.html.twig' %}

{% block title %}Team{% endblock %}

{% block body %}

<div class="ui segment" style="margin-top: 30px;">
    <h2 class="ui header">
        <i class="settings icon"></i>
        <div class="content">
            Equipe
            <div class="sub header">Informations de l'équipe</div>
        </div>
    </h2>
    <div class="ui divider"></div>

    <ul class="show" style="list-style: none;">
        <li>
            <span class="title">Nom de l'équipe : </span>
            <span>{{ team.name }}</span>
        </li>
        <li>
            <span class="title">Membres de l'équipe : </span>
            {% for user in team.getUsers() %}
                <tr>
                    <td>
                        <a class="ui image label"  href="{{ path('user_show', {'id': user.id}) }}">
                            <img src="/Assets/img/avatar.jpg">
                            {{ user.name }}
                        </a>
                    </td>
                </tr>
            {% endfor %}
        </li>
        <li>
            <div style="display: flex;">
                {% if is_granted('ROLE_ADMIN') %}
                    <a href="{{ path('team_edit', {'id': team.id}) }}" class="ui button green">Editer</a>
                    {{ include('team/_delete_form.html.twig') }}

                {% endif %}
                <a class="ui icon button" href="{{ path('team_index') }}">
                    <i class="sign out alternate icon"></i>
                </a>
            </div>
        </li>
    </ul>
    <div class="team-projects-link">
        <h2>Les projets de l'équipe </h2>
        <div class="project-links">
        {% for project in team.project %}
            
            <a href='/project/{{ project.id }}' class="custom-button hoverable">{{ project.name }}</a>

        {% endfor %}
        </div>
    </div>
</div>
{% endblock %}
